import type { FilePartCount } from "./FilePartCount";
import type { FileSummaryV1 } from "./FileSummaryV1";
import type { TransformationUrlSlug } from "./TransformationUrlSlug";
import type { UploadPartV1 } from "./UploadPartV1";
/**
 * File upload initialization response.
 */
export declare type BeginMultipartUploadResponseV1 = {
    file: FileSummaryV1;
    suggestedOptimizationUrlSlug?: TransformationUrlSlug;
    uploadParts: {
        first: UploadPartV1;
        count: FilePartCount;
    };
};
