/**
 * Make all properties in T optional
 */
export declare type Partial_FolderReadGrants_ = {
    /**
     * Grants access to the `description` field on the FolderSettings object for folders at this path.
     */
    getFolderDescription?: boolean;
    /**
     * Grants access to the `publicPermissions` field on the FolderSettings object for folders at this path.
     */
    getFolderPublicPermissions?: boolean;
    /**
     * Grants access to the `storageLayer` field on the FolderSettings object for folders at this path.
     */
    getFolderStorageLayer?: boolean;
    /**
     * Grants access to the ListFolderChildren endpoint for folders at this path.
     */
    listFolderChildren?: boolean;
};
