import type { TagScope } from "./TagScope";
/**
 * Make all properties in T optional
 */
export declare type Partial_TagPermissions_ = {
    /**
     * Specifies which tags the user can add to their uploads.
     *
     * Supports wildcards `*`, wildcard suffixes `example*`, and absolute values `example`.
     *
     * An empty array prevents the user from specifying any tags in their uploads.
     */
    write?: Array<TagScope>;
};
