import type { FileOrFolderPath } from "./FileOrFolderPath";
import type { PathPermissionScope } from "./PathPermissionScope";
/**
 * Describes which file(s) and/or folder(s) to apply the permissions to.
 */
export declare type PathPattern = {
    path: FileOrFolderPath;
    scope: PathPermissionScope;
};
