import type { FolderPath } from "./FolderPath";
import type { PatchFolderSettings } from "./PatchFolderSettings";
/**
 * Request body for PutFolder.
 */
export declare type PutFolderRequest = {
    /**
     * You must specify `true` if the `folderPath` ends with a `/`.
     *
     * This prevents the accidental creation of folders that produce file paths with double forward-slashes in them.
     *
     * Default: false
     */
    allowUnnamedFolder?: boolean;
    folderPath: FolderPath;
    folderSettings?: PatchFolderSettings;
};
