import type { TagScope } from "./TagScope";
export declare type TagPermissions = {
    /**
     * Specifies which tags the user can add to their uploads.
     *
     * Supports wildcards `*`, wildcard suffixes `example*`, and absolute values `example`.
     *
     * An empty array prevents the user from specifying any tags in their uploads.
     */
    write: Array<TagScope>;
};
