import type { ParameterlessFunction } from "./ParameterlessFunction";
/**
 * The first parameter passed to the `onBegin` callback in the Upload JavaScript SDK: ```upload.uploadFile(file, {onBegin})```.
 */
export declare type UploadJsBeginEvent = {
    /**
     * Function with no arguments that cancels the upload if called.
     */
    cancel: ParameterlessFunction;
};
