import type { UploadJwtGrantsReadFiles } from "./UploadJwtGrantsReadFiles";
import type { UploadJwtGrantsReadFolders } from "./UploadJwtGrantsReadFolders";
/**
 * Read-based permissions to grant to the user for a given file/folder path.
 *
 * *All fields are optional.*
 */
export declare type UploadJwtGrantsRead = {
    file?: UploadJwtGrantsReadFiles;
    folder?: UploadJwtGrantsReadFolders;
};
