import type { UploadJwtGrantsWriteFiles } from "./UploadJwtGrantsWriteFiles";
import type { UploadJwtGrantsWriteFolders } from "./UploadJwtGrantsWriteFolders";
/**
 * Write-based permissions to grant to the user for a given file/folder path.
 *
 * *All fields are optional.*
 */
export declare type UploadJwtGrantsWrite = {
    file?: UploadJwtGrantsWriteFiles;
    folder?: UploadJwtGrantsWriteFolders;
};
