/**
 * Specifies the range in the file the UploadPart represents.
 */
export declare type UploadPartRange = {
    /**
     * Position in the file the last byte of this part corresponds to. Value is -1 when the part is empty (i.e. for
     * uploading empty files).
     */
    inclusiveEnd: number;
    /**
     * Position in the file the first byte of this part corresponds to.
     */
    inclusiveStart: number;
};
