/**
 * If `"modal"` is used, then the Upload Widget will render as a modal when `open()` is called.
 *
 * If `"inline"` is used, then the Upload Widget will render as an inline dropzone when `open()` is called.
 *
 * If `"inline"` is used, then you must set the `container` property to point to the element you want to render the dropzone widget inside.
 *
 * Default: "modal"
 */
export declare type UploadWidgetLayout = "modal" | "inline";
