/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

/**
 * Response body for all error responses.
 */
export type ErrorResponse = {
  error: {
    /**
     * Human-readable error message.
     */
    message: string;
    /**
     * Additional machine-readable details relating to the error.
     */
    details?: Record<string, any>;
    /**
     * Machine-readable error code.
     */
    code: string;
  };
};
