/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderPath } from "./FolderPath";
import type { FolderSettings } from "./FolderSettings";
import type { FolderStatus } from "./FolderStatus";

/**
 * Summary information about a folder (a subset of the FolderDetails type).
 */
export type FolderSummary = {
  /**
   * This folder's path. Always begins with a `/`.
   */
  folderPath: FolderPath;
  settings: FolderSettings;
  status: FolderStatus;
  type: "Folder";
};
