/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FileDownloadGrantsArray } from "./FileDownloadGrantsArray";

/**
 * Read-based permissions to grant to the user for a given file path.
 *
 * *All fields are optional.*
 */
export type UploadJwtGrantsReadFiles = {
  downloadFile?: FileDownloadGrantsArray;
  /**
   * Grants access to the GetFileDetails endpoint for files at this path.
   */
  getFileDetails?: boolean;
};
