/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { PathPattern } from "./PathPattern";
import type { UploadJwtGrants } from "./UploadJwtGrants";

/**
 * Specifies which paths the user has access to, and the level of access the user has to those paths.
 */
export type UploadJwtPathPermissions = {
  match: PathPattern;
  /**
   * The permissions granted to the user when accessing the file(s) and/or folder(s) matched by the `match` clause.
   */
  permissions?: UploadJwtGrants;
};
