import type { DomainName } from "./DomainName";
import type { EpochMillis } from "./EpochMillis";
import type { UserSummary } from "./UserSummary";
export declare type AllowedOrigin = {
    port: number | "any";
    protocol: "any" | "http" | "https";
    domain: DomainName;
    matchSubDomains?: boolean;
    createdAt: EpochMillis;
    createdBy: UserSummary;
};
