/**
 * Cancellation token used in the Upload SDKs to make certain operations (e.g. file uploads) cancellable by the calling code.
 */
export declare type CancellationToken = {
    /**
     * If set to true, instructs the SDK to cancel the associated operation.
     */
    isCancelled: boolean;
};
