/**
 * Permissions relating to the writing or deleting of files matched by the outer FolderPublicPermissions object.
 */
export declare type FileWriteGrants = {
    /**
     * Allows new files to be uploaded to this path.
     */
    createFile: boolean;
    /**
     * Allows files to be deleted at this path.
     */
    deleteFile: boolean;
    /**
     * Allows existing files to be overwritten at this path.
     */
    overwriteFile: boolean;
};
