import type { FolderSummary } from "./FolderSummary";
import type { ListFolderChildrenCursor } from "./ListFolderChildrenCursor";
import type { ObjectSummary } from "./ObjectSummary";
/**
 * Response body for ListFolderChildren.
 */
export declare type ListFolderChildrenResponse = {
    /**
     * Summary information about each of the folder's children (files and folders).
     */
    children: Array<ObjectSummary>;
    cursor: ListFolderChildrenCursor;
    /**
     * Summary information about the requested folder.
     */
    parent: FolderSummary;
};
