import type { PatchFolderDescription } from "./PatchFolderDescription";
import type { PatchFolderPublicPermissions } from "./PatchFolderPublicPermissions";
import type { PatchFolderStorageLayer } from "./PatchFolderStorageLayer";
/**
 * Specifies the folder settings to use when creating or updating a folder.
 */
export declare type PatchFolderSettings = {
    description: PatchFolderDescription;
    publicPermissions: PatchFolderPublicPermissions;
    storageLayer: PatchFolderStorageLayer;
};
