/**
 * Transformation URL slug.
 *
 * - Use `"*"` to allow all file downloads.
 *
 * - Use `"raw"` to allow raw/original file downloads.
 *
 * - Use a `*` suffix to allow transformation prefixes (e.g. `"thumbnail-*"` will allow `thumbnail-sm` and `thumbnail-lg`).
 *
 * - Use any other value to allow specific transformations (e.g. `"thumbnail"` will allow `thumbnail` downloads only).
 */
export declare type TransformationUrlSlugPattern = string;
