import type { UploadJwtGrantsRead } from "./UploadJwtGrantsRead";
import type { UploadJwtGrantsWrite } from "./UploadJwtGrantsWrite";
/**
 * Permissions to grant to the user for a given file/folder path.
 *
 * *All fields are optional.*
 */
export declare type UploadJwtGrants = {
    read?: UploadJwtGrantsRead;
    write?: UploadJwtGrantsWrite;
};
