import type { UploadWidgetContainerElement } from "./UploadWidgetContainerElement";
import type { UploadWidgetContainerSelector } from "./UploadWidgetContainerSelector";
/**
 * The container element to render the widget in.
 *
 * Supported values:
 *
 * - `string`: a DOM selector for an existing element on the page, e.g. `"body"` or `"#container"`.
 * - `object`: a DOM element.
 *
 * Only add this property if `layout` is set to `"inline"`.
 */
export declare type UploadWidgetContainer = UploadWidgetContainerSelector | UploadWidgetContainerElement;
