/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ParameterlessFunction } from "./ParameterlessFunction";

/**
 * Result from methods in the Upload SDKs that return files, such as DownloadFile and ProcessFile.
 */
export type BinaryResult = {
  /**
   * Function with no arguments that returns the data as a BLOB
   */
  blob: ParameterlessFunction;
  /**
   * Function with no arguments that returns the data as deserialized JSON.
   */
  json: ParameterlessFunction;
  /**
   * Function with no arguments that returns the data as a stream.
   */
  stream: ParameterlessFunction;
  /**
   * Function with no arguments that returns the data as a string.
   */
  text: ParameterlessFunction;
};
