/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { MultipartFormDataFieldName } from "./MultipartFormDataFieldName";

/**
 * Error from a failed FormDataUpload request.
 */
export type FormDataUploadResponseError = {
  /**
   * The field name that corresponds to this file in the `multipart/form-data` request body.
   */
  formDataFieldName: MultipartFormDataFieldName;
  error: {
    /**
     * Human-readable error message.
     */
    message: string;
    /**
     * Additional machine-readable details relating to the error.
     */
    details?: any;
    /**
     * Machine-readable error code.
     */
    code: string;
  };
};
