/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { PathPermissionScope } from "./PathPermissionScope";
import type { PublicPermissionsGrants } from "./PublicPermissionsGrants";

/**
 * Permissions applied to anonymous users who attempt to download files from a folder.
 *
 * Each folder can declare these permissions via its FolderSettings object.
 */
export type PublicPermissions = {
  /**
   * Permissions applied to all files that match the `scope`.
   */
  permissions: PublicPermissionsGrants;
  scope: PathPermissionScope;
};
